Bug 237038 - strace and traced process hang
Summary: strace and traced process hang
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-19 00:11 UTC by Pete Zaitcev
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:31:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (unedited) (168.21 KB, text/plain)
2007-04-19 00:26 UTC, Pete Zaitcev
no flags Details
ps lxw (1.09 KB, text/plain)
2007-04-19 00:27 UTC, Pete Zaitcev
no flags Details

Description Pete Zaitcev 2007-04-19 00:11:41 UTC
Description of problem:

When tracing a 32-bit process, both strace and the process hang.
kill -9 makes them quit.

Version-Release number of selected component (if applicable):

kernel-2.6.20-1.3071.fc7
strace-4.5.15-1.fc7
glibc-2.5.90-20
mozilla-1.7-0.3.2
 (it's a really ancient super-old Mozilla for the experiment)

How reproducible:

Not easily, needs a long-running ancient 32-bit process, apparently.
So far I only know about Mozilla doing it.

Steps to Reproduce:
1. Install an old Mozilla (from fc5 or fc6).
2. Run mozilla &  and find the PID
   (this way the trace is much shorter, no need for startup run)
3. Run:
   strace -o x.trace -f -p PID
  
Actual results:

Both hang

Expected results:

Strace working, process working

Additional info:

I'll attach the /var/log/messages with SysRq-T. It seems like all involved
processes were captured, so this should be useful.

The urgency is not very high, because I can kill the actors with -9.
But who knows, maybe they leak something.

Comment 1 Pete Zaitcev 2007-04-19 00:26:07 UTC
Created attachment 152972 [details]
/var/log/messages (unedited)

Comment 2 Pete Zaitcev 2007-04-19 00:27:55 UTC
Created attachment 152973 [details]
ps lxw

Comment 3 Roland McGrath 2007-08-02 05:40:32 UTC
Reproduced on any more recent kernel?

Comment 4 Bug Zapper 2008-04-04 00:09:38 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Bug Zapper 2008-05-07 01:31:02 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.